Bug 672281 - gdb fails to find line number information
Summary: gdb fails to find line number information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-24 17:22 UTC by Andreas Schwab
Modified: 2011-02-14 20:26 UTC (History)
3 users (show)

Fixed In Version: gdb-7.2-41.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-14 20:26:22 UTC


Attachments (Terms of Use)

Description Andreas Schwab 2011-01-24 17:22:54 UTC
$ gdb hello
GNU gdb (GDB) Fedora (7.2-26.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /tmp/hello...done.
(gdb) start
Temporary breakpoint 1 at 0x400510: file hello.c, line 6.
Starting program: /tmp/hello 

Temporary breakpoint 1, main () at hello.c:6
6       {
(gdb) i line printf
No line number information available for address 0x7ffff7a88e60 <printf>
(gdb) i share
From                To                  Syms Read   Shared Object Library
0x00007ffff7ddcb20  0x00007ffff7df5956  Yes         /lib64/ld-linux-x86-64.so.2
0x00007ffff7a56b60  0x00007ffff7b821dc  Yes         /lib64/libc.so.6

Comment 1 Jan Kratochvil 2011-01-24 17:25:57 UTC
.gdb_index version 4? [Re: [commit] fix symtab/12302]
http://sourceware.org/ml/gdb-patches/2011-01/msg00437.html

Comment 2 Fedora Update System 2011-01-25 18:34:25 UTC
gdb-7.2-37.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-37.fc14

Comment 3 Fedora Update System 2011-01-26 20:56:22 UTC
gdb-7.2-37.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdb'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gdb-7.2-37.fc14

Comment 4 Fedora Update System 2011-01-29 16:44:45 UTC
gdb-7.2-38.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-38.fc14

Comment 5 Fedora Update System 2011-01-30 20:31:00 UTC
gdb-7.2-39.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-39.fc14

Comment 6 Fedora Update System 2011-01-31 20:13:10 UTC
gdb-7.2-40.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-40.fc14

Comment 7 Fedora Update System 2011-01-31 20:13:24 UTC
gdb-7.2-40.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-40.fc14

Comment 8 Fedora Update System 2011-02-04 07:33:33 UTC
gdb-7.2-41.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-7.2-41.fc14

Comment 9 Fedora Update System 2011-02-14 20:26:10 UTC
gdb-7.2-41.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.